import { Highlightable } from "@angular/cdk/a11y";
import { ElementRef } from "@angular/core";
import { IOption } from "../types";
/**
 * @ignore
 */
export declare class OverlayItemComponent implements Highlightable, IOption {
    element: ElementRef<HTMLElement>;
    /** Whether the Item is active */
    active: boolean;
    /** Whether the Item is disabled */
    isDisabled: boolean;
    constructor(element: ElementRef<HTMLElement>);
    /** Applies active class */
    setActiveStyles(): void;
    /** Removes active class */
    setInactiveStyles(): void;
    /** Scrolls to the Item inside scrollable container  */
    scrollIntoView(options?: ScrollIntoViewOptions): void;
}
